<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>{% block title %} SellerMania {% endblock %}</title>
        <link href="https://fonts.googleapis.com/css?family=Roboto" rel="stylesheet">
        <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.1/css/all.css" integrity="sha384-50oBUHEmvpQ+1lW4y57PTFmhCaXp0ML5d60M1M7uH2+nqUivzIebhndOJK28anvf" crossorigin="anonymous">
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

        {% block css %}
            {{ encore_entry_link_tags('app') }}
        {% endblock %}
    </head>
    <body>
        {% block body %}
            {% block header %}
                {% include 'components/menu.html.twig' %}
            {% endblock %}
            <div class="container-fluid">
                <div class="row">

                    {% block sidebar %}
                        {% if app.user %}
                            <div class="col-md-2 d-none d-md-block bg-light sidebar">
                                {{ render(controller(
                                    'App\\Controller\\MarketplaceController::sideBar'
                                )) }}
                            </div>
                        {% endif %}
                    {% endblock %}

                    <div id="main" class="col-md-9 ml-sm-auto col-lg-10 px-4">
                        {% block flashMessages %}
                            {% for label, messages in app.flashes(['success', 'error', 'warning']) %}
                                {% for message in messages %}
                                    <div class="alert alert-{{ label }}">
                                        {{ message }}
                                    </div>
                                {% endfor %}
                            {% endfor %}
                        {% endblock %}
                        {% block main %}
                        {% endblock %}
                    </div>
                </div>
            </div>
        {% endblock %}
        {% block js %}
            {{ encore_entry_script_tags('app') }}
        {% endblock %}
    </body>
</html>
